;;;; type-checks-structured.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(declare (bound-to-procedure ##sys#structure?))

(module type-checks-structured

(;export
  check-procedure check-closure
  check-input-port
  check-output-port
  check-list
  check-alist
  check-plist
  check-pair
  check-blob
  check-vector
  check-structure
  check-record
  check-record-type
  check-string)

(import (chicken base))			; for `include'

(import (only (chicken blob) blob?))

(include "type-checks-structured.impl.scm")

) ;module type-checks-structured
