;;;; type-errors-basic.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(declare
  (bound-to-procedure
    ##sys#signal-hook ##sys#error-hook) )

(module type-errors-basic ()

(import (chicken module))

(export
  ;
  (define-error-type error-argument-type)
  ;
  make-bad-argument-message
  make-type-name-message
  make-error-type-message
  ;
  signal-bounds-error signal-type-error
  ;
  error-argument-type
  warning-argument-type
  ;
  error-bound-value
  error-defined-value
  ;
  error-minimum-argument-count
  error-argument-count)

(import (chicken base))			; for `include'

(import
  (only (chicken string) ->string conc)
  (chicken foreign)
  (chicken type))

(include "type-errors-basic.impl.scm")

) ;module type-errors-basic
